Cancel subscription
curl --request PUT \
--url https://api.example.com/subscriptions/{subscriptionId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-environment: <x-environment>' \
--data '{}'import requests
url = "https://api.example.com/subscriptions/{subscriptionId}/cancel"
payload = {}
headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-environment': '<x-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.example.com/subscriptions/{subscriptionId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handle": "<string>",
"currency": "USD",
"term": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"autoRenewal": true,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billAt": "2023-11-07T05:31:56Z",
"period": {
"start": "2023-12-25",
"end": "2023-12-25"
},
"quantity": 123,
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"price": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Subscriptions
Cancel subscription
PUT
/
subscriptions
/
{subscriptionId}
/
cancel
Cancel subscription
Headers
Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.
Path Parameters
Id of subscription.
Body
application/json
The body is of type object.
Response
Accepted
Id of subscription.
A unique handle of the subscription.
Currency of the subscription.
Example:
"USD"
Show child attributes
Show child attributes
For termed subscription, auto renewal is optional and will automatically renew the subscription.
Items of the subscription.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

